Bug 147987 - rhn-download-manager should have a --prefix option
rhn-download-manager should have a --prefix option
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn370
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Wregglesworth
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-14 11:08 EST by John Wregglesworth
Modified: 2007-04-18 13:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: rhn370
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 16:49:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Wregglesworth 2005-02-14 11:08:06 EST
Description of problem: rhn-download-manager should have a --prefix
option that allows the user to specify the prefix to use with the
files listed in the .csv file. If --prefix is left out, the setting is
defined by download-files-prefix is used.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John Wregglesworth 2005-02-17 16:55:32 EST
Test Plan
1. If you don't already have the rhn_superuser role in the environment
that you're testing in, ask someone to grant it to your user. Once you
have the rhn_superuser role, you need to set up your user with the
role through the web interface.

2. Put together some tarballs with some random stuff in them. It
shouldn't matter what the tarballs have in them.

3. Have someone create a new directory in the environment you will be
testing in. This directory should not be under the directory listed as
the download-files-prefix in the rhn_server_redhat-xmlrpc.conf, but it
does have to be under the directory listed as the mount_point in
rhn_server.conf.

4. Once you have the path to the new directory, get the file size and
md5sum and create a csv file. You can get the format that the csv file
needs to be in by running rhn-download-manager using the --list
<channelName> option.

5. Next, have someone place the tarballs you made in step 2 in the
directory that was made in step 3.

6. Finally, you should be able to run rhn-download-manager with the
--prefix <directory> option.  The directory that you use with the
--prefix option should be the directory contains your file and is
directly under the mount_point.

7. Make sure that the --prefix option works with --upload, --list, and
--delete.

Expected Outcome:
The --prefix option should work with the --upload, --list, and
--delete options.
Comment 2 John Wregglesworth 2005-02-22 11:31:38 EST
The above test plan is missing a step. Somewhere is steps 1-5 a new
channel that can have downloads associated with it will need to be
created. I think either misa or chris can do that. The channel that
gets created is the one that's used in the other steps.

Also, if the --upload option gets used more than once with the same
.csv file, you will have to use the --force option.

Finally, here's some example commands:
rhn-download-manager --server=qa --username=foo --password=bar --list
testchannel

rhn-download-manager --server=qa --username=foo --password=bar
--upload downloads.csv --commit

rhn-download-manager --server=qa --username=foo --password=bar
--delete downloads.csv --commit
Comment 3 John Wregglesworth 2005-09-29 16:49:29 EDT
This change was for an internal tool and is already being used.

Note You need to log in before you can comment on or make changes to this bug.